"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _CodeEditorPreview = _interopRequireDefault(require("../CodeEditorPreview"));

var _CodeEditorRevert = _interopRequireDefault(require("../CodeEditorRevert"));

var _CodeEditorSave = _interopRequireDefault(require("../CodeEditorSave"));

var _useCodeMirror = _interopRequireDefault(require("../useCodeMirror"));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line
const Emails = ({
  children
}) => {
  const {
    codeMirrorRef,
    disablePreview,
    loading,
    html,
    ref,
    revert,
    save,
    value
  } = (0, _useCodeMirror.default)();
  const cls = (0, _styles.default)();
  return /*#__PURE__*/_react.default.createElement(_core.Grid, {
    className: cls.root,
    container: true
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    zeroMinWidth: true,
    className: cls.column
  }, /*#__PURE__*/_react.default.createElement("textarea", {
    className: cls.textarea // allows us to manipulate text editor in tests
    ,
    "data-test": codeMirrorRef.current,
    "data-value": value,
    ref: ref
  }), /*#__PURE__*/_react.default.createElement(_CodeEditorRevert.default, {
    onClick: revert
  }), /*#__PURE__*/_react.default.createElement(_CodeEditorSave.default, {
    onClick: save
  })), /*#__PURE__*/_react.default.createElement(_CodeEditorPreview.default, {
    disable: disablePreview,
    html: html,
    loading: loading
  }));
};

var _default = Emails;
exports.default = _default;