"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _q3UiHelpers = require("q3-ui-helpers");

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const CodeEditorPreview = ({
  disable,
  loading,
  html
}) => {
  const ref = _react.default.useRef();

  const cls = (0, _styles.default)({
    loading
  });

  _react.default.useEffect(() => {
    if (ref.current && html && _q3UiHelpers.browser.isBrowserReady()) {
      const doc = ref.current.contentWindow.document;
      doc.open();
      doc.write(html);
      doc.close();
    }
  }, [html]);

  return disable ? null : /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    md: 6,
    xs: 12,
    className: cls.root
  }, /*#__PURE__*/_react.default.createElement("iframe", {
    ref: ref,
    title: "preview",
    className: cls.iframe,
    "data-test": html
  }));
};

CodeEditorPreview.defaultProps = {
  disable: false,
  loading: false,
  html: undefined
};
CodeEditorPreview.propTypes = {
  disable: _propTypes.default.bool,
  loading: _propTypes.default.bool,
  html: _propTypes.default.string
};
var _default = CodeEditorPreview;
exports.default = _default;