"use strict";

var _react = _interopRequireDefault(require("react"));

var _CodeEditorPreview = _interopRequireDefault(require("./CodeEditorPreview"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('./styles', () => () => ({
  root: 'classname'
}));
const documentMethods = {
  open: jest.fn(),
  write: jest.fn(),
  close: jest.fn()
};
beforeAll(() => {
  jest.spyOn(_react.default, 'useRef').mockReturnValue({
    current: {
      contentWindow: {
        document: documentMethods
      }
    }
  });
  jest.spyOn(_react.default, 'useEffect').mockImplementation(fn => fn());
});
afterEach(() => {
  Object.values(documentMethods).forEach(method => {
    method.mockClear();
  });
});
describe('CodeEditorPreview', () => {
  it('should not update iframe without HTML', () => {
    global.shallow( /*#__PURE__*/_react.default.createElement(_CodeEditorPreview.default, null));
    expect(documentMethods.write).not.toHaveBeenCalled();
  });
  it('should not update iframe without HTML', () => {
    global.shallow( /*#__PURE__*/_react.default.createElement(_CodeEditorPreview.default, null));
    expect(documentMethods.write).not.toHaveBeenCalled();
  });
  it('should not render iframe', () => {
    expect(global.shallow( /*#__PURE__*/_react.default.createElement(_CodeEditorPreview.default, {
      disable: true
    })).find('iframe').exists()).toBeFalsy();
  });
  it('should render iframe', () => {
    expect(global.shallow( /*#__PURE__*/_react.default.createElement(_CodeEditorPreview.default, null)).find('iframe').exists()).toBeTruthy();
  });
});