"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.EmailEditorDeviceWrapper = exports.EmailEditor = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _q3UiLocale = require("q3-ui-locale");

var _EmailEditorContext = _interopRequireDefault(require("../EmailEditorContext"));

var _TreeView = _interopRequireDefault(require("../TreeView"));

var _useEmailTemplates = _interopRequireDefault(require("../useEmailTemplates"));

var _styles = _interopRequireDefault(require("./styles"));

var _EmailEditorWrapper = _interopRequireDefault(require("../EmailEditorWrapper"));

var _EmailEditorErrorBoundary = _interopRequireDefault(require("../EmailEditorErrorBoundary"));

var _EmailEditorErrorGraphic = _interopRequireDefault(require("../EmailEditorErrorGraphic"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const CodeEditor = /*#__PURE__*/_react.default.lazy(() => // issues with codemirror package
Promise.resolve().then(() => _interopRequireWildcard(require('../CodeEditor'))));

const EmailEditor = () => {
  const cls = (0, _styles.default)();
  const {
    error,
    ready,
    ...rest
  } = (0, _useEmailTemplates.default)();
  if (!ready) return /*#__PURE__*/_react.default.createElement(_EmailEditorWrapper.default, {
    className: cls.center
  }, /*#__PURE__*/_react.default.createElement(_core.CircularProgress, null));
  if (error) return /*#__PURE__*/_react.default.createElement(_EmailEditorErrorGraphic.default, null);
  return /*#__PURE__*/_react.default.createElement(_EmailEditorErrorBoundary.default, null, /*#__PURE__*/_react.default.createElement(_EmailEditorWrapper.default, null, /*#__PURE__*/_react.default.createElement(_EmailEditorContext.default.Provider, {
    value: rest
  }, /*#__PURE__*/_react.default.createElement(_core.Container, {
    maxWidth: "xl",
    disableGutters: true,
    id: "q3-email",
    className: cls.wrapper
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    className: cls.root,
    container: true
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    className: cls.sidebar
  }, /*#__PURE__*/_react.default.createElement(_TreeView.default, null)), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    className: cls.editor
  }, /*#__PURE__*/_react.default.createElement(_react.default.Suspense, {
    fallback: /*#__PURE__*/_react.default.createElement("div", null)
  }, /*#__PURE__*/_react.default.createElement(CodeEditor, null))))))));
};

exports.EmailEditor = EmailEditor;

const EmailEditorDeviceWrapper = () => {
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('descriptions');
  const isMobile = (0, _core.useMediaQuery)(theme => theme.breakpoints.down('md'));
  return isMobile ? /*#__PURE__*/_react.default.createElement(_Alert.default, {
    severity: "warning"
  }, t('cannotAccessFromMobileDevice')) : /*#__PURE__*/_react.default.createElement(EmailEditor, null);
};

exports.EmailEditorDeviceWrapper = EmailEditorDeviceWrapper;
EmailEditorDeviceWrapper.displayName = 'EmailEditor';
var _default = EmailEditorDeviceWrapper;
exports.default = _default;