"use strict";

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _enzymeUtils = require("q3-ui-test-utils/lib/enzymeUtils");

var _EmailEditor = require("./EmailEditor");

var _EmailEditorErrorGraphic = _interopRequireDefault(require("../EmailEditorErrorGraphic"));

var _useEmailTemplates = _interopRequireDefault(require("../useEmailTemplates"));

var _TreeView = _interopRequireDefault(require("../TreeView"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('../useEmailTemplates');
jest.mock('@material-ui/core/useMediaQuery');

const expectElement = El => (0, _enzymeUtils.exists)(global.shallow( /*#__PURE__*/_react.default.createElement(_EmailEditor.EmailEditor, null)).find(El));

describe('EmailEditor', () => {
  it('should display loading indiciator', () => {
    _useEmailTemplates.default.mockReturnValue({
      ready: false
    });

    expectElement(_core.CircularProgress);
  });
  it('should display graphic', () => {
    _useEmailTemplates.default.mockReturnValue({
      ready: true,
      error: true
    });

    expectElement(_EmailEditorErrorGraphic.default);
  });
  it('should display code preview', () => {
    _useEmailTemplates.default.mockReturnValue({
      ready: true,
      error: false
    });

    expectElement(_TreeView.default);
  });
});
describe('EmailEditorDeviceWrapper', () => {
  it('should return alert on mobile devices', () => {
    _core.useMediaQuery.mockReturnValue(true);

    (0, _enzymeUtils.exists)(global.shallow( /*#__PURE__*/_react.default.createElement(_EmailEditor.EmailEditorDeviceWrapper, null)).find(_Alert.default));
  });
  it('should return email editor', () => {
    _core.useMediaQuery.mockReturnValue(false);

    (0, _enzymeUtils.exists)(global.shallow( /*#__PURE__*/_react.default.createElement(_EmailEditor.EmailEditorDeviceWrapper, null)).find(_EmailEditor.EmailEditor));
  });
});