"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = require("@material-ui/core/styles");

var _colors = require("@material-ui/core/colors");

var _default = (0, _styles.makeStyles)(theme => ({
  root: {
    // nested inside q3 sub pages
    height: '70vh',
    position: 'relative',
    margin: 0,
    [theme.breakpoints.down('sm')]: {
      height: 'auto'
    }
  },
  editor: {
    width: 'calc(100% - 280px)',
    [theme.breakpoints.down('sm')]: {
      width: '100%'
    }
  },
  sidebar: {
    height: '100%',
    width: 280,
    [theme.breakpoints.down('sm')]: {
      width: '100%'
    }
  },
  wrapper: {
    backgroundColor: theme.palette.type === 'light' ? (0, _styles.darken)(_colors.grey[300], 0.02) : (0, _styles.lighten)(_colors.grey[900], 0.02),
    height: '100%',
    width: '100%',
    '& .cm-s-base16-light': {
      backgroundColor: _colors.grey[200],
      '& .CodeMirror-gutters': {
        backgroundColor: _colors.grey[200]
      }
    },
    '& .cm-s-base16-dark': {
      backgroundColor: _colors.grey[900],
      '& .CodeMirror-gutters': {
        backgroundColor: _colors.grey[900]
      }
    }
  },
  center: {
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center'
  }
}));

exports.default = _default;