"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _EmailEditorErrorGraphic = _interopRequireDefault(require("../EmailEditorErrorGraphic"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class ErrorBoundary extends _react.default.Component {
  constructor(props) {
    super(props);
    this.state = {
      hasError: false
    };
  }

  static getDerivedStateFromError() {
    return {
      hasError: true
    };
  }

  render() {
    const {
      hasError
    } = this.state; // eslint-disable-next-line

    const {
      children
    } = this.props;
    return hasError ? /*#__PURE__*/_react.default.createElement(_EmailEditorErrorGraphic.default, null) : children;
  }

}

exports.default = ErrorBoundary;