"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _TreeView = _interopRequireDefault(require("@material-ui/lab/TreeView"));

var _ExpandMore = _interopRequireDefault(require("@material-ui/icons/ExpandMore"));

var _ChevronRight = _interopRequireDefault(require("@material-ui/icons/ChevronRight"));

var _TreeItem = _interopRequireDefault(require("@material-ui/lab/TreeItem"));

var _q3UiLocale = require("q3-ui-locale");

var _q3UiPermissions = require("q3-ui-permissions");

var _lodash = require("lodash");

var _EmailEditorContext = _interopRequireDefault(require("../EmailEditorContext"));

var _useEmailTemplates = require("../useEmailTemplates/useEmailTemplates");

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line
const CustomTreeView = () => {
  const {
    wrapper: wrapperCls,
    ...cls
  } = (0, _styles.default)();
  const {
    t
  } = (0, _q3UiLocale.useTranslation)();

  const {
    id,
    setById,
    templates = []
  } = _react.default.useContext(_EmailEditorContext.default);

  const lang = (0, _q3UiPermissions.useProfileLang)();
  const {
    partial,
    full
  } = templates.reduce((acc, curr) => {
    if ((0, _useEmailTemplates.isPartial)(curr)) acc.partial.push(curr);else acc.full.push(curr);
    return acc;
  }, {
    partial: [],
    full: []
  });

  const hasTemplateId = xs => templates.findIndex(item => item.id === xs) !== -1;

  const handleNodeSelect = (e, value) => hasTemplateId(value) ? setById(value) : null;

  const translateTemplateName = xs => (0, _lodash.capitalize)(t(`labels:${String(xs).replace(`${lang}-`, '')}`));

  const renderTree = xs => (0, _lodash.sortBy)(xs.map(temp => ({ ...temp,
    label: translateTemplateName(temp.name)
  })), ['label']).map(temp => /*#__PURE__*/_react.default.createElement(_TreeItem.default, {
    classes: cls,
    nodeId: temp.id,
    label: temp.label,
    key: temp.id
  }));

  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: wrapperCls,
    component: "nav",
    p: 2,
    pr: 6
  }, /*#__PURE__*/_react.default.createElement(_TreeView.default, {
    defaultExpanded: ['0', '1'],
    defaultCollapseIcon: /*#__PURE__*/_react.default.createElement(_ExpandMore.default, null),
    defaultExpandIcon: /*#__PURE__*/_react.default.createElement(_ChevronRight.default, null),
    selected: id,
    onNodeSelect: handleNodeSelect
  }, /*#__PURE__*/_react.default.createElement(_TreeItem.default, {
    classes: cls,
    label: t('labels:partials'),
    nodeId: "0"
  }, renderTree(partial)), /*#__PURE__*/_react.default.createElement(_TreeItem.default, {
    classes: cls,
    label: t('labels:templates'),
    nodeId: "1"
  }, renderTree(full))));
};

var _default = CustomTreeView;
exports.default = _default;