"use strict";

var _react = _interopRequireDefault(require("react"));

var _TreeView = _interopRequireDefault(require("@material-ui/lab/TreeView"));

var _TreeItem = _interopRequireDefault(require("@material-ui/lab/TreeItem"));

var _TreeView2 = _interopRequireDefault(require("./TreeView"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('./styles', () => () => ({
  root: 'classname'
}));

const getTreeItemLengthByNodeId = nodeId => global.shallow( /*#__PURE__*/_react.default.createElement(_TreeView2.default, null)).find({
  nodeId
}).find(_TreeItem.default).length;

describe('TreeView', () => {
  it('should split partials/full templates', () => {
    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      templates: [{
        id: 'T1',
        name: '__A'
      }, {
        id: 'T2',
        name: 'A'
      }, {
        id: 'T3',
        name: 'B'
      }]
    }); // inclusive of self

    expect(getTreeItemLengthByNodeId('0')).toBe(2);
    expect(getTreeItemLengthByNodeId('1')).toBe(3);
  });
  it('should update', () => {
    const setById = jest.fn();
    jest.spyOn(_react.default, 'useContext').mockReturnValue({
      setById,
      templates: [{
        id: 'T1',
        name: '__A'
      }]
    });
    global.shallow( /*#__PURE__*/_react.default.createElement(_TreeView2.default, null)).find(_TreeView.default).prop('onNodeSelect')(null, 'T1');
    expect(setById).toHaveBeenCalledWith('T1');
  });
});