"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("codemirror/lib/codemirror.css");

require("codemirror/theme/base16-dark.css");

require("codemirror/theme/base16-light.css");

var _react = _interopRequireDefault(require("react"));

var _jsBeautify = _interopRequireDefault(require("js-beautify"));

var _codemirror2 = _interopRequireDefault(require("codemirror/lib/codemirror"));

var _core = require("@material-ui/core");

require("codemirror/addon/selection/active-line");

require("codemirror/addon/edit/closetag");

require("codemirror/addon/edit/matchtags");

require("codemirror/addon/fold/foldcode");

require("codemirror/addon/fold/foldgutter");

require("codemirror/addon/search/match-highlighter");

require("codemirror/addon/search/search");

require("codemirror/addon/search/searchcursor");

require("codemirror/addon/search/jump-to-line");

require("codemirror/addon/dialog/dialog");

require("codemirror/addon/scroll/annotatescrollbar");

require("codemirror/addon/search/matchesonscrollbar");

require("codemirror/addon/hint/show-hint");

require("codemirror/addon/hint/xml-hint");

require("codemirror/mode/xml/xml");

require("codemirror/addon/lint/lint");

var _EmailEditorContext = _interopRequireDefault(require("../EmailEditorContext"));

var _usePreview = _interopRequireDefault(require("../usePreview"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useCodeMirror = () => {
  var _useTheme, _useTheme$palette;

  const {
    disablePreview,
    onRevert,
    onSave,
    value,
    variables
  } = _react.default.useContext(_EmailEditorContext.default);

  const cm = _react.default.useRef();

  const ref = _react.default.useRef();

  const mode = (_useTheme = (0, _core.useTheme)()) === null || _useTheme === void 0 ? void 0 : (_useTheme$palette = _useTheme.palette) === null || _useTheme$palette === void 0 ? void 0 : _useTheme$palette.type;

  const [loading, setLoading] = _react.default.useState(false);

  const {
    html,
    render
  } = (0, _usePreview.default)();

  const getMjml = () => cm !== null && cm !== void 0 && cm.current ? cm.current.getValue() : null;

  const change = (0, _core.debounce)(() => {
    render(getMjml()).then(() => {
      setLoading(false);
    });
  }, 1500);
  const save = (0, _core.debounce)(() => {
    onSave(getMjml());
  }, 250);

  _react.default.useLayoutEffect(() => {
    if (ref.current) {
      cm.current = _codemirror2.default.fromTextArea(ref.current, {
        autoCloseTags: true,
        lineNumbers: true,
        mode: 'xml',
        theme: `base16-${mode}`
      });
      cm.current.on('change', () => {
        setLoading(true);
        change();
      });
      return () => {
        if (cm.current) {
          cm.current.toTextArea();
          cm.current = null;
        }
      };
    }

    return undefined;
  }, [disablePreview, mode, variables]);

  _react.default.useEffect(() => {
    if (cm.current && value) cm.current.setValue(_jsBeautify.default.html(value, {
      indent_size: 2,
      wrap_attributes_indent_size: 2,
      max_preserve_newline: 0,
      preserve_newlines: false
    }));
  }, [value]);

  return {
    codeMirrorRef: cm,
    disablePreview,
    revert: onRevert,
    save,
    loading,
    html,
    ref,
    value
  };
};

var _default = useCodeMirror;
exports.default = _default;