"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _axios = _interopRequireDefault(require("axios"));

var _useMediaQuery = _interopRequireDefault(require("@material-ui/core/useMediaQuery"));

var _EmailEditorContext = _interopRequireDefault(require("../EmailEditorContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const usePreview = () => {
  const isMobile = (0, _useMediaQuery.default)(theme => theme.breakpoints.down('sm')) || false;

  const [html, setHtml] = _react.default.useState();

  const {
    disablePreview,
    variables
  } = _react.default.useContext(_EmailEditorContext.default);

  const clear = () => setHtml(null);

  const getData = ({
    data
  }) => {
    setHtml(data === null || data === void 0 ? void 0 : data.html);
  };

  return {
    render: mjml => mjml && !disablePreview && !isMobile ? _axios.default.post('emails-preview', {
      mjml,
      variables
    }).then(getData).catch(clear) : Promise.resolve(clear()),
    html
  };
};

var _default = usePreview;
exports.default = _default;