"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _q3UiPermissions = require("q3-ui-permissions");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable react/prop-types */
const StoriesApiMockAuthentication = ({
  children,
  revokeAccessToEmails
}) => {
  const permissions = [];

  if (!revokeAccessToEmails) {
    permissions.push({
      coll: 'emails',
      fields: ['*'],
      op: 'Read'
    });
    permissions.push({
      coll: 'emails',
      fields: ['*'],
      op: 'Update'
    });
  }

  return /*#__PURE__*/_react.default.createElement(_q3UiPermissions.AuthContext.Provider, {
    value: {
      state: {
        init: true,
        permissions,
        profile: {
          role: 'Tester'
        }
      }
    }
  }, children);
};

StoriesApiMockAuthentication.propTypes = {
  children: _propTypes.default.node.isRequired
};
var _default = StoriesApiMockAuthentication;
exports.default = _default;