"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defineMockRoutes = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _rest = _interopRequireDefault(require("q3-ui-test-utils/lib/rest"));

var _lodash = require("lodash");

var _template = _interopRequireDefault(require("./data/template1"));

var _template2 = _interopRequireDefault(require("./data/template2"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable react/prop-types */
const emails = [{
  'id': 't1',
  'name': '__header',
  'mjml': _template2.default
}, {
  'id': 't2',
  'name': '__footer',
  'mjml': ''
}, {
  'id': 't3',
  'name': 'en-welcome',
  'mjml': _template.default
}, {
  'id': 't4',
  'name': 'en-new-user',
  'mjml': _template.default
}, {
  'id': 't5',
  'name': 'en-verify',
  'mjml': _template.default
}];

const defineMockRoutes = (options = {}) => m => {
  const {
    causeError = false
  } = options;
  m.onPost(/emails-preview/).reply(async e => [200, {
    html: '<p>Preview</p>'
  }]);
  m.onGet(/emails/).reply(() => {
    if (causeError) return [500];
    return [200, {
      emails
    }];
  });
  m.onPatch(/emails/).reply(data => {
    const id = (0, _lodash.last)(data.url.split('/'));
    const {
      mjml
    } = JSON.parse(data.data);
    return [200, {
      email: {
        id,
        ...emails.find(item => item.id === id),
        mjml
      }
    }];
  });
};

exports.defineMockRoutes = defineMockRoutes;

var _default = ({
  delay = 1000,
  children,
  ...props
}) => /*#__PURE__*/_react.default.createElement(_rest.default, {
  define: defineMockRoutes(props),
  delay: delay
}, children);

exports.default = _default;